> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nueborder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Company

> Retrieves a company based on the provided company ID.



## OpenAPI

````yaml api-reference/openapi.json get /v1/companies/{company_id}
openapi: 3.0.0
info:
  description: Validate, store, and query compliance carbon data.
  title: NueBorder API
  termsOfService: https://nueborder.com/terms/
  contact:
    name: Jack Dunlap
    url: https://nueborder.com/support
    email: support@nueborder.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://nueborder.com/api/v1
security: []
externalDocs:
  description: OpenAPI
  url: https://nueborder.com/openapi/
paths:
  /v1/companies/{company_id}:
    get:
      tags:
        - Company
      summary: Get Company
      description: Retrieves a company based on the provided company ID.
      parameters:
        - description: Unique identifier for the company
          name: company_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Company retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.GetCustomerResponse'
        '400':
          description: Missing or invalid company ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.JSONPayloadErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.InternalServerErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    models.GetCustomerResponse:
      type: object
      properties:
        customer:
          description: The customer record
          allOf:
            - $ref: '#/components/schemas/models.Customer'
    models.JSONPayloadErrorResponse:
      description: A response indicating that the JSON payload is invalid.
      type: object
      properties:
        message:
          description: A detailed error message.
          type: string
          example: The JSON payload is invalid
        status:
          description: HTTP status code.
          type: integer
          example: 400
    models.InternalServerErrorResponse:
      description: A response indicating that an internal server error occurred.
      type: object
      properties:
        message:
          description: A detailed error message.
          type: string
          example: An internal server error occurred
        status:
          description: HTTP status code.
          type: integer
          example: 500
    models.Customer:
      type: object
      properties:
        email:
          description: Customer email address
          type: string
        id:
          description: Unique identifier for the customer
          type: string
        name:
          description: Customer name
          type: string
  securitySchemes:
    BearerAuth:
      description: 'Provide your Bearer token in the format: Bearer <your_api_key>'
      type: apiKey
      name: Authorization
      in: header

````